package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconSystemEfficiencyEquipment;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 光伏系统效率 服务类
 * </p>
 *
 * @author wang
 * @since 2023-10-24
 */
public interface IProEconSystemEfficiencyEquipmentService extends IService<ProEconSystemEfficiencyEquipment> {
    boolean batchAdd(List<ProEconSystemEfficiencyEquipment> proEconStationPowers);

    List<ProEconSystemEfficiencyEquipment> getbq(String foreignKeyId, Date date);

    List<ProEconSystemEfficiencyEquipment> gethb(String foreignKeyId, Date date);

    List<ProEconSystemEfficiencyEquipment> gettb(String foreignKeyId, Date date);
}
